%define major 4
%define libname	%mklibname mcrypt %{major}
%define develname %mklibname mcrypt -d

Summary:	Thread-safe data encryption library
Name:		libmcrypt
Version:	2.5.8
Release:	%mkrel 24
License:	LGPLv2+
Group:		System/Libraries
URL:		http://mcrypt.sourceforge.net/
Source0:	https://downloads.sourceforge.net/mcrypt/%{name}-%{version}.tar.gz
Patch1:		libmcrypt-2.5.8-automake-1.13.patch
Patch2:		libmcrypt-2.5.8-no-libltdl.patch
BuildRequires:	libtool-devel
BuildRequires:	automake
BuildRequires:	autoconf2.5

%description
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.

Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more.

%package -n	%{libname}
Summary:	Thread-safe data encryption library
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{libname}
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.

Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more.

%package -n	%{develname}
Summary:	Header files and libraries for developing apps with libmcrypt
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{libname}-devel
Obsoletes:	%{_lib}mcrypt-static-devel < 2.5.8-21

%description -n	%{develname}
This package contains the header files and libraries needed to
develop programs that use the libmcrypt library.

%prep
%setup -q
%autopatch -p1

%build
rm -rf libltdl
libtoolize --copy --force --install --ltdl
cp `aclocal --print-ac-dir`/libtool.m4 .
aclocal
autoconf
automake --foreign -acf

%ifarch %{arm} aarch64
export CFLAGS="%{optflags} -fsigned-char"
%endif
%configure \
    --enable-dynamic-loading \
    --disable-static \
    --enable-shared \
    --disable-ltdl-install

%make_build

%check
%__make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS COPYING.LIB ChangeLog INSTALL KNOWN-BUGS NEWS README THANKS TODO doc/README.* doc/*.c
%{_bindir}/libmcrypt-config
%{_libdir}/*.so
%{_includedir}/mcrypt.h
%dir %{_includedir}/mutils
%{_includedir}/mutils/mcrypt.h
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*

%files
%{_libdir}/%{name}/*.so


%changelog
* Wed Mar 16 2022 umeabot <umeabot> 2.5.8-24.mga9
+ Revision: 1794546
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.5.8-23.mga8
+ Revision: 1519404
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 11 2018 wally <wally> 2.5.8-22.mga7
+ Revision: 1319631
- fix build on arm

* Thu Oct 11 2018 wally <wally> 2.5.8-21.mga7
+ Revision: 1319626
- fix build on aarch64
- add patch to not build libltdl
- update descriptions
- drop static build
- drop multiarch support

* Sun Sep 23 2018 umeabot <umeabot> 2.5.8-20.mga7
+ Revision: 1298985
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 2.5.8-19.mga6
+ Revision: 945823
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.8-18.mga5
+ Revision: 744821
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.5.8-17.mga5
+ Revision: 726744
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.5.8-16.mga5
+ Revision: 681596
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.8-15.mga4
+ Revision: 507164
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.5.8-14.mga3
+ Revision: 357738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 2.5.8-13.mga3
+ Revision: 341473
- patch1: fix build with automake 1.13

* Wed Sep 21 2011 fwang <fwang> 2.5.8-12.mga2
+ Revision: 146371
- drop .la files
+ dmorgan <dmorgan>
- Remove mdv macros
- imported package libmcrypt


* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-11mdv2011.0
+ Revision: 627633
- don't force the usage of automake1.7

* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-10mdv2011.0
+ Revision: 601050
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-9mdv2010.1
+ Revision: 519023
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.8-8mdv2010.0
+ Revision: 425619
- rebuild

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 2.5.8-7mdv2009.1
+ Revision: 335081
- rebuild for new libtool

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-6mdv2009.1
+ Revision: 315576
- rebuild

* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 2.5.8-5mdv2009.0
+ Revision: 275907
- apply devel policy
- drop old conditionnal
- check major

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.5.8-4mdv2009.0
+ Revision: 222927
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-3mdv2008.1
+ Revision: 178930
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-1mdv2007.0
+ Revision: 122971
- rebuild

* Mon Feb 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-0.0.0mdv2007.1
+ Revision: 122873
- 2.5.8
- drop upstream patches

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.7-10mdv2007.1
+ Revision: 74192
- Import libmcrypt

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.5.7-10mdv2007.0
- Patch0: fix aclocal warning
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.5.7-9mdk
- Rebuild

* Fri May 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.7-8mdk
- make it compile correctly on x86_64

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.7-7mdk
- fix deps and conditional %%multiarch
- run the tests
- fix requires-on-release

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.5.7-6mdk
- rebuild

